<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailUsr2GridView9Base from './ibizorder-detail-usr2-grid-view9-base.vue';

import view_grid from '@widgets/ibizorder-detail/temp-mode-grid-grid/temp-mode-grid-grid.vue';
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailUsr2GridView9 extends IBIZOrderDetailUsr2GridView9Base {

}
</script>